- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
pdftron::Crypto::AlgorithmIdentifier Class Reference

`#include <AlgorithmIdentifier.h>`

## Public Member Functions
| AlgorithmIdentifier (const AlgorithmIdentifier &other)
AlgorithmIdentifier & | operator= (const AlgorithmIdentifier &other)
| ~AlgorithmIdentifier ()
| AlgorithmIdentifier (const ObjectIdentifier::Predefined oid_type)
| AlgorithmIdentifier (const ObjectIdentifier &oid)
| AlgorithmIdentifier (const DigestAlgorithm::Type digest_algorithm_type)
| AlgorithmIdentifier (const ObjectIdentifier::Predefined oid_type, const AlgorithmParams &params)
| AlgorithmIdentifier (const ObjectIdentifier &oid, const AlgorithmParams &params)
| AlgorithmIdentifier (const DigestAlgorithm::Type digest_algorithm_type, const AlgorithmParams &params)
| AlgorithmIdentifier (TRN_AlgorithmIdentifier impl)

## Public Attributes
TRN_AlgorithmIdentifier | m_impl

## Detailed Description

This class represents an algorithm identifier, as defined by ITU and used in X.509.

Definition at line 20 of file AlgorithmIdentifier.h.

## Constructor & Destructor Documentation

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | const AlgorithmIdentifier & | other | ) |

pdftron::Crypto::AlgorithmIdentifier::~AlgorithmIdentifier | ( |  | ) |

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | const ObjectIdentifier::Predefined | oid_type | ) |

Constructs an AlgorithmIdentifier from a Predefined enum.

Parameters

  oid_type | The Predefined enumerated value to use.

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | const ObjectIdentifier & | oid | ) |

Constructs an AlgorithmIdentifier from an ObjectIdentifier.

Parameters

  oid | The ObjectIdentifier object to use.

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | const DigestAlgorithm::Type | digest_algorithm_type | ) |

Constructs an AlgorithmIdentifier from a DigestAlgorithm enum.

Parameters

  digest_algorithm_type | The enumeration value corresponding to your desired digest algorithm.

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | const ObjectIdentifier::Predefined | oid_type,
|  | const AlgorithmParams & | params
| ) |  |

Constructs an AlgorithmIdentifier from a Predefined enum and an AlgorithmParams object.

Parameters

  oid_type | The Predefined enumerated value to use.
  params | The AlgorithmParams object to use.

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | const ObjectIdentifier & | oid,
|  | const AlgorithmParams & | params
| ) |  |

Constructs an AlgorithmIdentifier from an ObjectIdentifier and an AlgorithmParams object.

Parameters

  oid | The ObjectIdentifier object to use.
  params | The AlgorithmParams object to use.

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | const DigestAlgorithm::Type | digest_algorithm_type,
|  | const AlgorithmParams & | params
| ) |  |

Constructs an AlgorithmIdentifier from a DigestAlgorithm enum and an AlgorithmParams object.

Parameters

  digest_algorithm_type | The enumeration value corresponding to your desired digest algorithm.
  params | The AlgorithmParams object to use.

pdftron::Crypto::AlgorithmIdentifier::AlgorithmIdentifier | ( | TRN_AlgorithmIdentifier | impl | ) |

## Member Function Documentation

AlgorithmIdentifier& pdftron::Crypto::AlgorithmIdentifier::operator= | ( | const AlgorithmIdentifier & | other | ) |

## Member Data Documentation

TRN_AlgorithmIdentifier pdftron::Crypto::AlgorithmIdentifier::m_impl

Definition at line 78 of file AlgorithmIdentifier.h.

The documentation for this class was generated from the following file:

- Crypto/AlgorithmIdentifier.h